Chuyển đến nội dung
Diễn đàn CADViet
Jin Yong

Hỏi về Lisp (thuật toán, ý tưởng, coding,...)

Các bài được khuyến nghị

Nhìn xa thì thấy trùng, nhìn gần thì cách nhau 1 khúc <_<  <_<

Ủa mà sao lại dùng polyline? đang nói tới Line mà? Bác Tue chơi khăm quá!! 

 

Ồ! Sorry bác! Mình test nhầm cái Line dài bằng Pline.

Thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Gửi vào Hôm nay, 12:27 PM

Đưa yêu cầu vào đây là nhầm chỗ, mong các bác đại xá (Vì e vào chỗ viết Lisp theo yêu cầu kg được - Kg biết tại sao). Có một việc muốn nhờ các bác giúp hộ. Tôi muốn dùng một lisp xuất thông số chiều dài các đường line sang excel, các đường line chọn bằng phương pháp quét cửa sổ chứ không kích chọn từng line. Trên diễn đàn tôi thấy có lisp của bác PhamThanhBinh: 5194_ghisolieuchieudai.lsp nhưng không thể tải về được, có lisp BTK.lsp nhưng phải kich chọn từng line và có cả phần xuất ra bảng in trong CAD nên tôi không ưng ý lắm. Dùng lệnh Dataextraction thì lại lâu quá. Bác nào có lòng tốt cho tôi 1 lisp để xuất thẳng dữ liệu (Chỉ cần chiều dài) sang excel hoặc up lại cho tôi  lisp 5194_ghisolieuchieudai.lsp của bác PhamThanhBinh cũng quá được. Xin cảm ơn các bác nhiều   :)

  • 0

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em cũng muốn tập tành lisp, nhưng kiến thức rỗng nhiều, chắc bái a Duân làm sư phụ  :(

Có rất nhiều các bậc cao thủ, mình chỉ là môn sinh thôi. Tự học mót nên viết 1 số ứng dụng thôi.

Bạn học bác Doan Van Ha, anh Tot77, bác Phamthanhbinh, Ketxu, Tien2005, Gia_Bach, Nguyen Hoanh, Tue_NV, .................ấy

Mình còn non lắm

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có nhiều cách để xác định đoạn thẳng nằm trên đoạn thẳng thật đấy. Cách của anh Tot77 hay thiệt, Anh có nhiều võ thật đó. Anh không cẩn thận em học hết đấy. ^^

Anh có rất nhiều võ cho những thuật toán nhanh gọn và chính xác. Em rất muốn được học hỏi ở anh.

Em cũng được giải đáp rất nhiều thắc mắc từ những câu trả lời của bác Doan Van Ha, anh Tue_NV ...........Cảm ơn các anh và các bác nhiều. :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái khó khi viết code là ở cái thuật toán, mà thuật toán thì chẳng ai dạy, chỉ có tự mình suy nghĩ để tìm ra thôi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ý tưởng mới là điều quan trọng nhất với người lập trình. Mình luôn cho rằng như vậy. 

- Ý tưởng về 1 chương trình.

- Ý tưởng thiết kế giao diện hay phương thức chương trình giao tiếp với người dùng.

2 cái trên quan trọng hơn rồi cuối cùng mới đến việc code chương trình đó như thế nào.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

- Mấy a cho nhoc hỏi ngu ngơ xíu ^^, nhoc đang tính mò thử cái lsp tính diện tích nhoc lụm = hatch lấy area = hàm getvar, giờ nhoc thử lấy diện tích từ mã dxf, nhoc mò đc mã nó là 53, nhưng nhoc thấy nó ngộ, vd nhoc tính trước cái hình dt = 78.5, mà mã 53 là lại dạng 0.785... @@, nhoc thử lọc nó ra, thì ra đc 0.785, rùi cad báo "error: bad list: 0.785" là lỗi gì vậy mấy a, và làm sao cho nó ra đúng 78.5, mong đc các a thông dùm nhoc ^^

- đang học nên mò mẫn tí :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

- Mấy a cho nhoc hỏi ngu ngơ xíu ^^, nhoc đang tính mò thử cái lsp tính diện tích nhoc lụm = hatch lấy area = hàm getvar, giờ nhoc thử lấy diện tích từ mã dxf, nhoc mò đc mã nó là 53, nhưng nhoc thấy nó ngộ, vd nhoc tính trước cái hình dt = 78.5, mà mã 53 là lại dạng 0.785... @@, nhoc thử lọc nó ra, thì ra đc 0.785, rùi cad báo "error: bad list: 0.785" là lỗi gì vậy mấy a, và làm sao cho nó ra đúng 78.5, mong đc các a thông dùm nhoc ^^

- đang học nên mò mẫn tí :)

 

Mã dxf 53 của Hatch : góc nghiêng của các line trong mau hatch (tính bằng đơn vị Radian) 

Góc nghiêng của mẫu Hatch = 45 độ <=> 0.785 radian

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ec ec @@, thế mã nào ghi diện tích của vùng hatch vậy a Tue ^^, nhoc dò hết rùi mà ko thấy mã nào ghi diện tích, ah nhưng nhoc hatch thẻo kiểu "ANSI31" nó nghiêng sẵn mà ta, nhoc vô coi pro của nó góc = 0 mà 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ec ec @@, thế mã nào ghi diện tích của vùng hatch vậy a Tue ^^, nhoc dò hết rùi mà ko thấy mã nào ghi diện tích, ah nhưng nhoc hatch thẻo kiểu "ANSI31" nó nghiêng sẵn mà ta, nhoc vô coi pro của nó góc = 0 mà 

 

Không có mã dxf ghi diện tích của Hatch, Nhóc có thể đọc Help.....

Mã dxf 53 là góc của Line trong Hatch nghiêng so với phương X 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ah nhoc hỉu rùi chắc hình nhoc diện tích nó hên tương đối trùng với góc nghiêng làm nhoc hỉu lầm, nhoc có xem thử help rùi đúng là ko có ^^, vậy có cách nào khác lấy diện tích ngoài hàm getvar ko a Tue, cái lsp của nhoc hatch = command, a Ket kêu kiểu này nó dễ lỗi nên nhoc thử tạo = entmake rùi lấy mã diện tích nó ra, như anh Tue giải thich vậy là ko đc rùi ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ah nhoc hỉu rùi chắc hình nhoc diện tích nó hên tương đối trùng với góc nghiêng làm nhoc hỉu lầm, nhoc có xem thử help rùi đúng là ko có ^^, vậy có cách nào khác lấy diện tích ngoài hàm getvar ko a Tue, cái lsp của nhoc hatch = command, a Ket kêu kiểu này nó dễ lỗi nên nhoc thử tạo = entmake rùi lấy mã diện tích nó ra, như anh Tue giải thich vậy là ko đc rùi ^^

 

Có cách lấy diện tích hatch bằng các hàm vla-... Mà nhóc chưa học tới.......

Không có mã dxf lấy dien tich Hatch thì mình nói không có. Mình không hiểu mình giải thích không được chỗ mô hè?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nhóc đụng đến một đối tượng phức tạp của cad là hatch.

Với hatch thì:

- Không thể lấy diện tích bằng getvar.

- Không thể lấy diện tích bằng mã dxf.

- May mắn lắm thì lấy được bằng hàm vla-... Gọi là may mắn bởi nó hên xui.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hatch thì lấy diện tích theo kiểu getvar không phải hoàn toàn không được mà là lúc được lúc không không biết lý do thôi thành ra coi như là không được. he he nói cũng như chưa nói :-D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

- thanks a Ha, cái lsp của nhoc , nhoc quên nói rõ là trước khi dùng getvar thì dùng (command "area" "e" "last") ^^, tiện mấy a cho nhoc hỏi, nếu nhoc mún hatch = entmake thì làm = cách nào, mò tới đây bí ^^, (entmake  '((0 . "hatch") (2 . "ansi31")  (75 . 1) ...)), tới đây nhoc mò miết mà ko pit mã nào là mã gán toạ độ điểm pick, nhoc thử trên cad nó ra 1 đống thấy mã 10, nhưng ra quá trời mã 10  nhưng set vào điểm nhoc chọn thì lỗi (10 . (car pt) (cadr pt) 0.0) ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hatch bằng entmake(x) thì trên mạng tìm là có, nhưng code rất phức tạp, sợ rằng khổ nhoc thôi. Dạo này thầy Ket ác quá hè?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

@@ nhoc xem thử rùi bó giò ^^, đành command cho dễ hiểu ^^, nhoc chưa học tới, trong lúc chờ thầy Ket nhoc mò cua bắt ốc xem thử có vớt đc con nào ko í mà :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×